Package org.apache.sling.caconfig.resource.impl.def

# Class DefaultConfigurationResourceResolvingStrategy

java.lang.Object
org.apache.sling.caconfig.resource.impl.def.DefaultConfigurationResourceResolvingStrategy

All Implemented Interfaces:
  `org.apache.sling.caconfig.resource.spi.ConfigurationResourceResolvingStrategy`

public class DefaultConfigurationResourceResolvingStrategy extends Object implements org.apache.sling.caconfig.resource.spi.ConfigurationResourceResolvingStrategy

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`DefaultConfigurationResourceResolvingStrategy.Config`

## Constructor Summary

Constructors
Constructor
Description
`DefaultConfigurationResourceResolvingStrategy()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.api.resource.Resource`
`getResource(@NotNull org.apache.sling.api.resource.Resource contentResource, @NotNull Collection<String> bucketNames, @NotNull String configName)`
`Collection<org.apache.sling.api.resource.Resource>`
`getResourceCollection(@NotNull org.apache.sling.api.resource.Resource contentResource, @NotNull Collection<String> bucketNames, @NotNull String configName)`
`Collection<Iterator<org.apache.sling.api.resource.Resource>>`
`getResourceCollectionInheritanceChain(@NotNull org.apache.sling.api.resource.Resource contentResource, @NotNull Collection<String> bucketNames, @NotNull String configName)`
`String`
`getResourceCollectionParentPath(@NotNull org.apache.sling.api.resource.Resource contentResource, @NotNull String bucketName, @NotNull String configName)`
`Iterator<org.apache.sling.api.resource.Resource>`
`getResourceInheritanceChain(@NotNull org.apache.sling.api.resource.Resource contentResource, @NotNull Collection<String> bucketNames, @NotNull String configName)`
`String`
`getResourcePath(@NotNull org.apache.sling.api.resource.Resource contentResource, @NotNull String bucketName, @NotNull String configName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultConfigurationResourceResolvingStrategy

public DefaultConfigurationResourceResolvingStrategy()

## Method Details

### getResource

public org.apache.sling.api.resource.Resource getResource(@NotNull @NotNull org.apache.sling.api.resource.Resource contentResource, @NotNull @NotNull Collection<String> bucketNames, @NotNull @NotNull String configName)

Specified by:
  `getResource` in interface `org.apache.sling.caconfig.resource.spi.ConfigurationResourceResolvingStrategy`

### getResourceInheritanceChain

public Iterator<org.apache.sling.api.resource.Resource> getResourceInheritanceChain(@NotNull @NotNull org.apache.sling.api.resource.Resource contentResource, @NotNull @NotNull Collection<String> bucketNames, @NotNull @NotNull String configName)

Specified by:
  `getResourceInheritanceChain` in interface `org.apache.sling.caconfig.resource.spi.ConfigurationResourceResolvingStrategy`

### getResourceCollection

public Collection<org.apache.sling.api.resource.Resource> getResourceCollection(@NotNull @NotNull org.apache.sling.api.resource.Resource contentResource, @NotNull @NotNull Collection<String> bucketNames, @NotNull @NotNull String configName)

Specified by:
  `getResourceCollection` in interface `org.apache.sling.caconfig.resource.spi.ConfigurationResourceResolvingStrategy`

### getResourceCollectionInheritanceChain

public Collection<Iterator<org.apache.sling.api.resource.Resource>> getResourceCollectionInheritanceChain(@NotNull @NotNull org.apache.sling.api.resource.Resource contentResource, @NotNull @NotNull Collection<String> bucketNames, @NotNull @NotNull String configName)

Specified by:
  `getResourceCollectionInheritanceChain` in interface `org.apache.sling.caconfig.resource.spi.ConfigurationResourceResolvingStrategy`

### getResourcePath

public String getResourcePath(@NotNull @NotNull org.apache.sling.api.resource.Resource contentResource, @NotNull @NotNull String bucketName, @NotNull @NotNull String configName)

Specified by:
  `getResourcePath` in interface `org.apache.sling.caconfig.resource.spi.ConfigurationResourceResolvingStrategy`

### getResourceCollectionParentPath

public String getResourceCollectionParentPath(@NotNull @NotNull org.apache.sling.api.resource.Resource contentResource, @NotNull @NotNull String bucketName, @NotNull @NotNull String configName)

Specified by:
  `getResourceCollectionParentPath` in interface `org.apache.sling.caconfig.resource.spi.ConfigurationResourceResolvingStrategy`